# Return function to interpolate a fallback palette base on viridis::magma() — pal_fallback • visualizeR
Return function to interpolate a fallback palette base on viridis::magma()

Skip to contents

# Return function to interpolate a fallback palette base on viridis::magma()

Source: `R/pal_fallback.R`
`pal_fallback.Rd`

Return function to interpolate a fallback palette base on viridis::magma()

## Usage

    pal_fallback(
      reverse = FALSE,
      color_ramp_palette = FALSE,
      discrete = FALSE,
      n = 5,
      ...
    )

## Arguments

reverse

  Boolean indicating whether the palette should be reversed

color_ramp_palette

  Should the output be a `grDevices::colorRampPalette` function or a vector of hex codes? Default to the latter with `FALSE`

discrete

  Boolean. Discrete or not? Default to FALSE.

n

  Number of colors in the palette. Default to 5. Passe to `viridis::magma()`

...

  Other parameters to pass to `grDevices::colorRampPalette()`

## Value

A color palette